=== removed directory 'turbozpt'
=== removed file 'turbozpt-README.txt'
--- turbozpt-README.txt	2007-06-29 10:47:51 +0000
+++ turbozpt-README.txt	1970-01-01 00:00:00 +0000
@@ -1,17 +0,0 @@
-TurboZpt
-========
-
-This package provides a TurboGears template engine plugin, allowing you
-to easily use Zope Page Templates with TurboGears.
-
-Zope Page Templates are assumed to have a "pt" extension.
-
-For information on using a TurboGears template plugin, go here:
-
-http://www.turbogears.org/docs/plugins/template.html
-
-At this moment TurboZpt does not do everything KID does. (but neither
-does TurboCheetah as far as i'm awhere)
-
-It's far from final and hopefully see lots of intresting updates in the
-feature. Hopefully as part of the standard set of TurboGears Plugins. :)

=== removed file 'turbozpt-setup.py'
--- turbozpt-setup.py	2007-06-29 10:47:51 +0000
+++ turbozpt-setup.py	1970-01-01 00:00:00 +0000
@@ -1,31 +0,0 @@
-from setuptools import setup, find_packages
-from turbogears.finddata import find_package_data
-
-setup(
-    name="TurboZpt",
-    version="0.1.4",
-    description="TurboGears plugin to support use of Zope Page Templates",
-    author="Bas van Oostveen",
-    author_email="v.oostveen@gmail.com",
-    url="http://ido.nl.eu.org/turbozpt/",
-    download_url="http://ido.nl.eu.org/turbozpt/TurboZpt-0.1.2.tar.gz",
-    license="MIT",
-#    install_requires = ["TurboGears >= 0.9a0dev", "ZopePageTemplates"],
-    install_requires = ["TurboGears >= 0.9a0dev"],
-    zip_safe=False,
-    packages=find_packages(),
-    classifiers = [
-        'Development Status :: 3 - Alpha',
-        #'Environment :: TurboGears',
-        'Operating System :: OS Independent',
-        'Programming Language :: Python',
-        'License :: OSI Approved :: MIT License',
-        'Topic :: Software Development :: Libraries :: Python Modules'
-    ],
-    entry_points="""
-    [python.templating.engines]
-    zpt = turbozpt.zptsupport:TurboZpt
-    """,
-    test_suite = 'nose.collector',
-    )
-    

=== removed file 'turbozpt/__init__.py'
--- turbozpt/__init__.py	2007-06-29 10:47:51 +0000
+++ turbozpt/__init__.py	1970-01-01 00:00:00 +0000
@@ -1,9 +0,0 @@
-from turbozpt import zptsupport
-
-TurboZpt = zptsupport.TurboZpt
-
-__all__ = ["TurboZpt"]
-
-from turbogears.view import engines, stdvars
-
-engines['zpt'] = TurboZpt(stdvars, {})

=== removed file 'turbozpt/template.py'
--- turbozpt/template.py	2007-06-29 10:47:51 +0000
+++ turbozpt/template.py	1970-01-01 00:00:00 +0000
@@ -1,42 +0,0 @@
-"""
-By VladDrac@irc.freenode.net/#turbogears
-+ Some small modifications
-"""
-
-from zope.pagetemplate import pagetemplatefile
-import os.path
-import sys
-
-class Here(object):
-    def __init__(self, base):
-        self.base = base
-
-    def __getattr__(self, name):
-        # import pdb; pdb.set_trace()
-        tpl = PageTemplate(os.path.join(self.base, name))
-        return tpl
-
-class PageTemplate(pagetemplatefile.PageTemplateFile):
-    def __init__(self, name):
-    	base = os.path.dirname(sys._getframe(1).f_globals["__file__"])
-	self.extra_context = {}
-        self.name = name
-        self.fullpath = os.path.join(base, self.name)
-        self.base = os.path.dirname(self.fullpath)
-        pagetemplatefile.PageTemplateFile.__init__(self, self.fullpath)
-    
-    def render(self, extra_dict=None):
-	if extra_dict:
-    	    context = self.pt_getContext()
-	    context.update(extra_dict)
-	return self.pt_render(context)
-    
-    def add_context(self, d):
-	self.extra_context.update(d)
-	
-    def pt_getContext(self, args=(), options={}, **ignored):
-        rval = pagetemplatefile.PageTemplateFile.pt_getContext(self, args, options, **ignored)
-	rval.update(options)
-	rval.update(self.extra_context)
-        rval.update({'here':Here(self.base), 'template':self})
-        return rval

=== removed directory 'turbozpt/tests'
=== removed file 'turbozpt/tests/__init__.py'
=== removed file 'turbozpt/tests/simple.pt'
--- turbozpt/tests/simple.pt	2007-06-29 10:47:51 +0000
+++ turbozpt/tests/simple.pt	1970-01-01 00:00:00 +0000
@@ -1,8 +0,0 @@
-<html>
-<head>
-<title tal:content="title">simple test page title</title>
-</head>
-<body>
-<div>Hello, <span tal:replace="name">name</span></div>
-</body>
-</html>

=== removed file 'turbozpt/tests/test_zpt.py'
--- turbozpt/tests/test_zpt.py	2007-06-29 10:47:51 +0000
+++ turbozpt/tests/test_zpt.py	1970-01-01 00:00:00 +0000
@@ -1,30 +0,0 @@
-from turbozpt import TurboZpt
-from turbogears import controllers
-from turbogears import testutil
-import turbogears
-import cherrypy
-
-RENDERED="<html>\n<head>\n<title>%s</title>\n</head>\n<body>\n<div>Hello, %s</div>\n</body>\n</html>\n"
-
-def test_template_lookup():
-    tc = TurboZpt()
-    template = tc.load_template("turbozpt.tests.simple")
-    assert template
-    TITLE="test"
-    NAME="World"
-    info = dict(title=TITLE, name=NAME)
-    t = template(**info)
-    assert str(t).startswith(RENDERED % (TITLE, NAME))
-
-class TestRoot(controllers.Root):
-    def index(self, name, title="test"):
-        return dict(name=name, title=title)
-    index = turbogears.expose(html="zpt:turbozpt.tests.simple")(index)
-
-def test_real_life_situation():
-    cherrypy.root = TestRoot()
-    TITLE="test dave"
-    NAME="Dave"
-    testutil.createRequest("/?name=%s" % NAME)
-    print cherrypy.response.body
-    assert cherrypy.response.body[0].startswith(RENDERED % ("test", NAME))

=== removed file 'turbozpt/zptsupport.py'
--- turbozpt/zptsupport.py	2007-06-29 10:47:51 +0000
+++ turbozpt/zptsupport.py	1970-01-01 00:00:00 +0000
@@ -1,95 +0,0 @@
-"TurboGears support for Zope Page Templates"
-
-import sys, os
-
-from template import PageTemplate
-import pkg_resources
-
-import logging
-log = logging.getLogger("turbogears.zptsupport")
-
-def _recompile_template(package, basename, tfile, classname):
-    log.debug("Recompiling template for %s" % classname)
-    mod = PageTemplate(tfile)
-    mtime = os.stat(tfile).st_mtime
-    mod.__mtime__ = mtime
-    return mod
-
-class TurboZpt:
-    extension = "pt"
-    
-    def __init__(self, extra_vars_func=None, options={}):
-	self.options = options
-	self.get_extra_vars = extra_vars_func
-        self.compiledTemplates = {}
-    
-    def load_template(self, classname, loadingSite=False):
-        """Searches for a template along the Python path.
-
-        Template files must end in ".pt" and be in legitimate packages.
-        U can set "zpt.cache_templates" option to cache a loaded template
-	class and only check for updates. Templates are automatically
-	checked for changes and reloaded as neccessary.
-        """
-        ct = self.compiledTemplates
-
-        divider = classname.rfind(".")
-        if divider > -1:
-            package = classname[0:divider]
-            basename = classname[divider+1:]
-        else:
-            raise ValueError, "All templates must be in a package"
-
-        cache_templates = self.options.get("zpt.cache_templates", True)
-        tfile = pkg_resources.resource_filename(package, 
-                                                "%s.%s" % 
-                                                (basename,
-                                                self.extension))
-						
-        if cache_templates:
-            if ct.has_key(classname):
-                mtime = os.stat(tfile).st_mtime
-		mod = ct[classname]
-                if mod.__mtime__ != mtime:
-		    # Recompile template
-		    mod = _recompile_template(package, basename, tfile, classname)
-                    ct[classname] = mod
-                #else:
-		    # use template from cache    
-		    # pass 
-            else:
-		# First time compile template
-		mod = PageTemplate(tfile)
-                mod.__mtime__ = os.stat(tfile).st_mtime
-		ct[classname] = mod
-        else:
-	    mod = PageTemplate(tfile)
-
-        return mod
-
-    def render(self, info, format="html", fragment=False, template=None):
-	"""Renders data in the desired format.
-	
-	@param info: the data / context itself
-	@type info: dict
-	@para format: "html"
-	@type format: "string"
-	@para template: name of the template to use
-	@type template: string
-	"""
-	#if isinstance(template, type):
-	#    tclass = template
-	#else:
-	
-	tinstance = self.load_template(template)
-	log.debug("Applying template %s" % (tinstance.filename))
-	data = dict()
-	if self.get_extra_vars:
-	    data.update(self.get_extra_vars())
-	data.update(info)
-        
-        return str(tinstance(**data))
-
-    def transform(self, info, template):
-	"Render the output to Elements"
-	pass

